> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List event logs

> Retrieve event logs for an organization with filtering and pagination support. Event logs track user activities across integrated services. <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/event-logs
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/event-logs:
    get:
      tags:
        - EventLogs
      summary: List event logs
      description: >-
        Retrieve event logs for an organization with filtering and pagination
        support. Event logs track user activities across integrated services.
        <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)
      operationId: publicGetEventLogs
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: identityId
          required: false
          in: query
          schema:
            type: string
        - name: startDate
          required: false
          in: query
          description: >-
            Filter event logs from this start date. Supports both date format
            (YYYY-MM-DD) and ISO 8601 datetime format
            (YYYY-MM-DDTHH:mm:ss.sssZ).
          schema:
            example: '2022-01-01T00:00:00.000Z'
            type: string
        - name: endDate
          required: false
          in: query
          description: >-
            Filter event logs up to this end date. Supports both date format
            (YYYY-MM-DD) and ISO 8601 datetime format
            (YYYY-MM-DDTHH:mm:ss.sssZ).
          schema:
            example: '2022-10-27T23:59:59.999Z'
            type: string
        - name: searchText
          required: false
          in: query
          description: >-
            Search text to filter event logs by user email, service name, or
            event details.
          schema:
            type: string
        - name: showUnmatched
          required: false
          in: query
          description: >-
            Include unmatched event logs (events that couldn't be matched to
            known users).
          schema:
            default: false
            type: boolean
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return per page.
          schema:
            default: 50
            example: 50
            type: number
        - name: nextCursor
          required: false
          in: query
          description: >-
            Cursor for pagination. Use the nextCursor value from the previous
            response to fetch the next page.
          schema:
            type: string
      responses:
        '200':
          description: Event logs retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetEventLogsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetEventLogsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
      required:
        - meta
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````